import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsContextMenu as GdsContextMenuClass } from "../../../components/context-menu/context-menu.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsContextMenu = (props) => {
  GdsContextMenuClass.define();
  const JSXElement = getReactComponent("gds-context-menu");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsContextMenu.displayName = "GdsContextMenu";
export {
  GdsContextMenu
};
